import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_StrData } from "./CT_StrData";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_DataLabelFieldTableEntry extends Base implements ISupportSetProperty {
    static $t: Type;
    private g;
    private d;
    private b;
    constructor();
    f: string;
    c: string;
    a: CT_StrData;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
